OpenapiO11y
Returns one notification channel, by id.
Returns one notification channel, by id.
GET /v1/o11y/channels/{id}
| Address | https://api.hanzo.ai/v1/o11y/channels/{id} |
| Method | GET |
| Operation | GetChannelByID |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Returns one notification channel, by id. Viewer gate.
Request
1 field.
| Field | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Response
| Status | Body | Meaning |
|---|---|---|
200 | o11y.O11yChannelOut | ok |
200 body — 9 fields.
| Field | In | Type | Always | Description |
|---|---|---|---|---|
data | body | o11y.Channel | — | |
data.createdAt | body | string (date-time) | — | |
data.data | body | string | — | |
data.id | body | any | — | |
data.name | body | string | — | |
data.orgId | body | string | — | |
data.type | body | string | — | |
data.updatedAt | body | string (date-time) | — | |
status | body | string | — | Status is "success". |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y channels get <id>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.getChannelByID({ id: 'id' });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).get_channel_by_id(id='id')cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.GetChannelByID(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::get_channel_by_id(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).getChannelByID();curl https://api.hanzo.ai/v1/o11y/channels/<id> \
-H "Authorization: Bearer $HANZO_API_KEY"Tool o11y, op GetChannelByID — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "GetChannelByID",
"input": {
"id": "<id>"
}
}
}
}'How is this guide?